"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isoDateStringToIsoLikeString = exports.dateToIsoLikeString = exports.generateMdReport = exports.generateStdoutReport = void 0;
const constants_1 = require("../../../../core/md/constants");
const headline_1 = require("../../../../core/md/headline");
const font_style_1 = require("../../../../core/md/font-style");
const md_report_1 = require("../../../assert/utils/md-report");
function generateStdoutReport(flowResult) {
    const dateTime = new Date().toISOString().replace('T', ' ').split('.')[0].slice(0, -3);
    const mdTable = (0, md_report_1.userFlowReportToMdTable)(flowResult);
    return `# ${flowResult.name}\n\nDate/Time: ${dateTime}\n\n${mdTable}`;
}
exports.generateStdoutReport = generateStdoutReport;
function generateMdReport(flowResult) {
    const name = flowResult.name;
    const dateTime = `Date/Time: ${(0, font_style_1.style)(new Date().toISOString().replace('T', ' ').split('.')[0].slice(0, -3))}  `;
    const mdTable = (0, md_report_1.userFlowReportToMdTable)(flowResult);
    return `${(0, headline_1.headline)(name)}${constants_1.NEW_LINE}
${dateTime}${constants_1.NEW_LINE}
${mdTable}`;
}
exports.generateMdReport = generateMdReport;
function dateToIsoLikeString(date) {
    return isoDateStringToIsoLikeString(date.toISOString());
}
exports.dateToIsoLikeString = dateToIsoLikeString;
function isoDateStringToIsoLikeString(isoDate) {
    return isoDate.replace(/[\-:]/gm, '').split('.').shift();
}
exports.isoDateStringToIsoLikeString = isoDateStringToIsoLikeString;
//# sourceMappingURL=utils.js.map